import { Client, Event, EventProcessor, Hub, Integration } from '@sentry/types';
/**
 * Adds module metadata to stack frames.
 *
 * Metadata can be injected by the Sentry bundler plugins using the `_experiments.moduleMetadata` config option.
 *
 * When this integration is added, the metadata passed to the bundler plugin is added to the stack frames of all events
 * under the `module_metadata` property. This can be used to help in tagging or routing of events from different teams
 * our sources
 */
export declare class ModuleMetadata implements Integration {
    static id: string;
    /**
     * @inheritDoc
     */
    name: string;
    constructor();
    /**
     * @inheritDoc
     */
    setupOnce(_addGlobalEventProcessor: (processor: EventProcessor) => void, _getCurrentHub: () => Hub): void;
    /** @inheritDoc */
    setup(client: Client): void;
    /** @inheritDoc */
    processEvent(event: Event, _hint: unknown, client: Client): Event;
}
//# sourceMappingURL=metadata.d.ts.map
